mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.SystemException System.Runtime.InteropServices.ComVisible(true)

uses the HRESULT COR_E_SERIALIZATION with the value 0x8013150C.

uses the default implementation, which supports reference equality.

For a list of initial property values for an instance of , see the constructors.

The exception thrown when an error occurs during serialization or deserialization.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  inherits from the class. The following table shows initial property values for an instance of initialized with the current constructor.

  Property

  Condition

  null

  Localized error message for .

  Initializes a new instance of the class with default properties.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  inherits from the class. The following table shows initial property values for an instance of initialized with the current constructor.

  Property

  Condition

  null

  The string.

  Initializes a new instance of the class with a specified message.

  Indicates the reason why the exception occurred.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The current constructor is called during deserialization to reconstitute the exception object transmitted over a stream. (For more information on serialization see [<topic://cpconSerialization>].)

  Initializes a new instance of the class from serialized data.

  The serialization information object holding the serialized object data in the name-value form.
  The contextual information about the source or destination of the exception.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  An exception that is thrown as a direct result of a previous exception should include a reference to the previous exception in the property. The property returns the same value that is passed into the constructor or null if the property does not supply the inner exception value to the constructor.

  The following table shows the initial property values for an instance of .

  Property

  Value

  The inner exception reference.

  The error message string.

  Initializes a new instance of the class with a specified error message and a reference to the inner exception that is the cause of this exception.

  The error message that explains the reason for the exception.
  The exception that is the cause of the current exception. If the parameter is not null, the current exception is raised in a catch block that handles the inner exception.